MQProcess (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQProcess interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQProcess

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

    public interface MQProcess

extends LogicalElement, MQBase

Use the DEFINE PROCESS command to create a process definition. A process definition defines the application to be used to process messages from the application queue. The application queue definition names the process to be used and thereby associates the application queue with the application to be used to process its messages. This is done through the PROCESS attribute on the application queue MOTOR.INSURANCE.QUEUE.

Naming Rules:
  0="queueManager,name"
Persistable:
  true
Table Name:
  MQPROCESS

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getApplicationID()` Application identifier (parameter identifier: MQCA_APPL_ID).
`java.lang.String` | `getApplicationType()` Application type (parameter identifier: MQIA_APPL_TYPE).
`java.lang.String` | `getEnvironmentData()` Environment data (parameter identifier: MQCA_ENV_DATA).
`java.lang.String` | `getName()` The name of the process definition (parameter identifier: MQCA_PROCESS_NAME).
`MQQueueManager` | `getQueueManager()`
`java.lang.String` | `getUserData()` User data (parameter identifier: MQCA_USER_DATA).
`boolean` | `hasApplicationID()`
`boolean` | `hasApplicationType()`
`boolean` | `hasEnvironmentData()`
`boolean` | `hasName()`
`boolean` | `hasQueueManager()`
`boolean` | `hasUserData()`
`void` | `setApplicationID(java.lang.String x)`
`void` | `setApplicationType(java.lang.String x)`
`void` | `setEnvironmentData(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setQueueManager(MQQueueManager x)`
`void` | `setUserData(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getQueueManager

    MQQueueManager getQueueManager()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setQueueManager

    void setQueueManager(MQQueueManager x)

### hasQueueManager

    boolean hasQueueManager()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  The name of the process definition (parameter identifier: MQCA_PROCESS_NAME). The maximum length of the string is MQ_PROCESS_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getApplicationID

    java.lang.String getApplicationID()
                                      throws AttributeNotSetException

  Application identifier (parameter identifier: MQCA_APPL_ID). The maximum length of the string is MQ_PROCESS_APPL_ID_LENGTH.

  Throws:
    `AttributeNotSetException`

### setApplicationID

    void setApplicationID(java.lang.String x)

### hasApplicationID

    boolean hasApplicationID()

### getUserData

    java.lang.String getUserData()
                                 throws AttributeNotSetException

  User data (parameter identifier: MQCA_USER_DATA). The maximum length of the string is MQ_PROCESS_USER_DATA_LENGTH.

  Throws:
    `AttributeNotSetException`

### setUserData

    void setUserData(java.lang.String x)

### hasUserData

    boolean hasUserData()

### getEnvironmentData

    java.lang.String getEnvironmentData()
                                        throws AttributeNotSetException

  Environment data (parameter identifier: MQCA_ENV_DATA). The maximum length of the string is MQ_PROCESS_ENV_DATA_LENGTH.

  Throws:
    `AttributeNotSetException`

### setEnvironmentData

    void setEnvironmentData(java.lang.String x)

### hasEnvironmentData

    boolean hasEnvironmentData()

### getApplicationType

    java.lang.String getApplicationType()
                                        throws AttributeNotSetException

  Application type (parameter identifier: MQIA_APPL_TYPE).

  Throws:
    `AttributeNotSetException`

### setApplicationType

    void setApplicationType(java.lang.String x)

### hasApplicationType

    boolean hasApplicationType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD